> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the approval status of a SaaS

> Update the approval status of the given SaaS application.

Setting the status to `APPROVED` also enables manual provisioning on the SaaS — a prerequisite for managing manual entitlements (licenses, roles, groups, organization units).

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json put /saas/{saasId}/approval-status
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /saas/{saasId}/approval-status:
    put:
      tags:
        - Saas
      summary: Update the approval status of a SaaS
      description: >-
        Update the approval status of the given SaaS application.


        Setting the status to `APPROVED` also enables manual provisioning on the
        SaaS — a prerequisite for managing manual entitlements (licenses, roles,
        groups, organization units).
      operationId: updateSaasApprovalStatus
      parameters:
        - name: saasId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSaasApprovalStatusBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSaasApprovalStatusResult_Output'
components:
  schemas:
    UpdateSaasApprovalStatusBody:
      type: object
      properties:
        approvalStatus:
          description: >-
            New approval status of the SaaS application. Setting it to
            `APPROVED` also enables manual provisioning.
          type: string
          enum:
            - TO_REVIEW
            - APPROVED
            - REJECTED
      required:
        - approvalStatus
    UpdateSaasApprovalStatusResult_Output:
      type: object
      properties:
        id:
          type: string
          description: Company SaaS application ID.
        approvalStatus:
          type: string
          enum:
            - TO_REVIEW
            - APPROVED
            - REJECTED
        manualProvisioningEnabled:
          type: boolean
          description: >-
            Whether manual provisioning is enabled (true when the approval
            status is `APPROVED`).
      required:
        - id
        - approvalStatus
        - manualProvisioningEnabled
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````